Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Documents

4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/documents

List all Documents

Returns a list of Documents. The Documents are sorted with the most recently created appearing first.

Query parameters

  • statusstring (requested | submitted | rejected | verified)optional

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of DocumentDtorequired

GET/v1/documents/{id}

Get a Document

Retrieves the details of an existing Document.

Path parameters

  • idstringrequired

    The id of the document to be retrieved.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200DocumentDto

  • account_idstringrequired

    The ID of the account owning the document.

  • created_atstring date-timerequired

    Time at which the object was created.

  • file_idstringoptional

    The file ID of an uploaded [File](#tag/Files) for the document, of type onboarding_documentation

  • file_idsarray of stringoptional

    The list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type onboarding_documentation

  • idstringrequired

    Unique identifier for the object.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • processor_deliveryProcessorDeliveryDtooptional

    Processor delivery is independent of the local document status.

  • rejected_reasonstring (blurry | corrupt | invalid | scanned | incomplete | damaged | not_needed)optional

    The reason for rejection of the document, if applicable

  • request_notesstringoptional

    Additional notes for the request of a document, offering extra context

  • respond_bystring date-timerequired

    Time at which the document request needs to be responded to.

  • statusstring (requested | submitted | rejected | verified)required

    The status of the document

  • submitted_atstring date-timerequired

    Time at which the object was submitted.

  • subtypestring (bank_letter_voided_check | ein_letter | articles_of_incorp | business_license | utility_bill | processing_statement | financial_statement | 501c3 | …)required

    The subtype of the document

  • typestring (file | written)required

    The type of the document

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • written_responsestringoptional

    Written response to a document that has been requested, alternative to a [File](#tag/Files)

POST/v1/documents/{id}/submit

Submit a Document

Submits a Document.

Path parameters

  • idstringrequired

    The id of the document to be updated.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • file_idstringoptional

    The file ID of an uploaded [File](#tag/Files) for the document. File type must be onboarding_documentation. Required when document type is file

  • file_idsarray of stringoptional

    The list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type onboarding_documentation

  • written_responsestringoptional

    Written response to a document that has been requested, alternative to a [File](#tag/Files). Required when document type is written

Submit document with multiple files

{
  "file_ids": [
    "file_id1",
    "file_id2"
  ]
}

Submit document with written response

{
  "written_response": "This is a written response"
}

Responses

201DocumentDto

  • account_idstringrequired

    The ID of the account owning the document.

  • created_atstring date-timerequired

    Time at which the object was created.

  • file_idstringoptional

    The file ID of an uploaded [File](#tag/Files) for the document, of type onboarding_documentation

  • file_idsarray of stringoptional

    The list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type onboarding_documentation

  • idstringrequired

    Unique identifier for the object.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • processor_deliveryProcessorDeliveryDtooptional

    Processor delivery is independent of the local document status.

  • rejected_reasonstring (blurry | corrupt | invalid | scanned | incomplete | damaged | not_needed)optional

    The reason for rejection of the document, if applicable

  • request_notesstringoptional

    Additional notes for the request of a document, offering extra context

  • respond_bystring date-timerequired

    Time at which the document request needs to be responded to.

  • statusstring (requested | submitted | rejected | verified)required

    The status of the document

  • submitted_atstring date-timerequired

    Time at which the object was submitted.

  • subtypestring (bank_letter_voided_check | ein_letter | articles_of_incorp | business_license | utility_bill | processing_statement | financial_statement | 501c3 | …)required

    The subtype of the document

  • typestring (file | written)required

    The type of the document

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • written_responsestringoptional

    Written response to a document that has been requested, alternative to a [File](#tag/Files)

POST/v1/documents/bulk-submit

Bulk Submit Documents

Submit multiple Documents at once.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • submissionsarray of BulkDocumentSubmissionrequired

    • document_idstringrequired

      The ID of a document to submit

    • submission_dataDocumentSubmitRequestParamsrequired

Responses

201BulkDocumentSubmitResponse

  • submissionsarray of BulkDocumentSubmissionResponserequired